<template>
  <page-layout :show-cta="false">
    <!-- Page Content Start -->
    <contacto-cover-section id="contacto-cover-section" v-bind="cover" />

    <lazy-hydrate when-visible>
      <contacto-form-section id="contacto-form-section" />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/contacto/';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Contacto',
  components: PageSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
  },
};
</script>

<page-query>
  query ContactoPageContent {
    content: contactoPageContent(path: "/contacto/") {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
        content {
          label
        }
      }
    }
  }
</page-query>
